Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Erp.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Erp.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Erp.pro	(revision 2200)
@@ -0,0 +1,33 @@
+pro xxx_Erp, ERP1, ERP2, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+  
+ 
+  compile_opt idl2, strictarrsubs
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     openps, '001_Erp_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.ps', portrait = 1
+  endif
+  
+  title=sEXP1+' Erp (mm/day) / year '+start_end
+  plt, ERP1,  MIN = -5., MAX = 5., INTER = .5 $
+       , small = [1,2,1], COAST_THICK = 2, TITLE = title, /PORTRAIT, _extra=ex
+  
+  if sEXP1 ne sEXP2 then begin
+
+     title=sEXP1+' - '+sEXP2+' / Erp year '+start_end
+     plt, ERP1-ERP2, MIN = -2., MAX = 2., INTER = .25 $
+          , small = [1,2,2], COAST_THICK = 2, TITLE = title,  /NOERASE, _extra=ex
+     
+  endif
+
+  title = 'Erp field'
+  text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/001_Erp_'+sEXP1+'_'+sEXP2+'_y '+start_end+'.png  />  ' ]
+  putfile, '/tmp/prova.txt', text
+
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     closeps
+  endif
+
+  return
+end
+
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Iceleadfrac_MARS.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Iceleadfrac_MARS.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Iceleadfrac_MARS.pro	(revision 2200)
@@ -0,0 +1,31 @@
+pro xxx_Iceleadfrac_MARS, Ifra_mars_1, Ifra_mars_2, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+ 
+  compile_opt idl2, strictarrsubs
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     openps, '018_Iceleadfrac_MARS_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.ps', portrait = 1
+  endif
+  
+  title=sEXP1+' Iceleadfrac MARS / year '+start_end
+  plt, Ifra_mars_1,  MIN = 0., MAX = 1., INTER = .1 $
+       , small = [1,2,1], COAST_THICK = 2, TITLE = title, /PORTRAIT, _extra=ex
+  
+if sEXP1 ne sEXP2 then begin
+
+  title=sEXP1+' - '+sEXP2+' / Iceleadfrac MARS year '+start_end
+  plt, Ifra_mars_1.arr - Ifra_mars_2.arr, MIN = -1., MAX = 1., INTER = .1 $
+       , small = [1,2,2], COAST_THICK = 2, TITLE = title,  /NOERASE, _extra=ex
+endif
+
+  title = 'Iceldeafrac  field'
+  text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/018_Iceleadfrac_MARS_'+sEXP1+'_'+sEXP2+'_y '+start_end+'.png  />  ' ]
+  putfile, '/tmp/prova.txt', text
+
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     closeps
+  endif
+
+  return
+end
+
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Iceleadfrac_SEPT.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Iceleadfrac_SEPT.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Iceleadfrac_SEPT.pro	(revision 2200)
@@ -0,0 +1,31 @@
+pro xxx_Iceleadfrac_SEPT, Ifra_sept_1, Ifra_sept_2, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+  
+  compile_opt idl2, strictarrsubs
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     openps, '018_Iceleadfrac_SEPT_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.ps', portrait = 1
+  endif
+  
+  title=sEXP1+' Iceleadfrac SEPT / year '+start_end
+  plt, Ifra_sept_1,  MIN = 0., MAX = 1., INTER = .1 $
+       , small = [1,2,1], COAST_THICK = 2, TITLE = title, /PORTRAIT, _extra=ex
+  
+if sEXP1 ne sEXP2 then begin
+
+  title=sEXP1+' - '+sEXP2+' / Iceleadfrac SEPT year '+start_end
+  plt, Ifra_sept_1.arr - Ifra_sept_2.arr, MIN = -1., MAX = 1., INTER = .1 $
+       , small = [1,2,2], COAST_THICK = 2, TITLE = title,  /NOERASE, _extra=ex
+endif
+
+  title = 'Iceldeafrac field'
+  text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/018_Iceleadfrac_SEPT_'+sEXP1+'_'+sEXP2+'_y '+start_end+'.png  />  ' ]
+  putfile, '/tmp/prova.txt', text
+
+
+  if KEYWORD_SET(POSTSCRIPT) then begin
+     closeps
+  endif
+
+  return
+end
+
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Med_S_depth.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Med_S_depth.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Med_S_depth.pro	(revision 2200)
@@ -0,0 +1,45 @@
+pro xxx_Med_S_depth, S1, S2, SLev, sEXP1, sEXP2, start_end, DEPTH=depth, LAT=lat, POSTSCRIPT = postscript,  _extra = ex
+  
+  compile_opt idl2, strictarrsubs
+
+   @common
+
+
+   if KEYWORD_SET(POSTSCRIPT) then begin
+      openps, '024_Med_S_depth_'+sEXP1+'_'+strtrim(lat,1)+'_d'+strtrim(depth,1)+'_S_y'+start_end+'.ps'   
+   endif
+;domdef, 0, 6000
+
+;domdef,270,365,5,70
+   minval = min(abs(gdept -  depth),index)
+   
+   title = sEXP1+'  Mediterranean water at ' +strtrim(lat,1)+'°N / year '+start_end 
+   pltz, S1.arr, MININ = 35., MAXIN = 37., INTER = 0.1,  UNIT = varunit $
+         , small = [1,2,1], COAST_THICK = 2, endpoints = [300., lat, 357., lat], TITLE = title, boxzoom = [2000.], ZOOM = 2000., /PORTRAIT, _extra = ex 
+;
+
+   if sEXP1 ne sEXP2 then begin
+      
+      title = sEXP1+' - '+sEXP2+' Mediterranean  water at '+strtrim(lat,1)+'°N / year '+start_end
+      pltz, S1.arr - S2.arr, MININ = -.4, MAXIN = .4, INTER = .05, UNIT = varunit $ 
+            , small = [1,2,2], COAST_THICK = 2, endpoints = [300., lat, 357., lat], TITLE = title, boxzoom = [2000.], ZOOM = 2000.,  _extra = ex 
+      
+   endif else begin
+   
+      title = sEXP1+' - Levitus Mediterranean  water at '+strtrim(lat,1)+'°N / year '+start_end
+      pltz, S1.arr-SLev.arr, MININ = -1., MAXIN = 1., INTER=0.1, UNIT = varunit $ 
+            , small = [1,2,2], COAST_THICK = 2, endpoints = [300., lat, 357., lat], TITLE = title, boxzoom = [2000.], ZOOM = 2000., _extra = ex 
+   endelse
+
+
+   title ='Mediterranean water Lat: '+strtrim(lat,1)+', '+strtrim(depth,1)
+   text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/024_Med_Levitus_S_depth_'+sEXP1+'_'+strtrim(lat,1)+'_d'+strtrim(depth,1)+'_S_y'+start_end+'.png  />  ' ]
+   putfile, '/tmp/prova.txt', text
+
+   if KEYWORD_SET(POSTSCRIPT) then begin
+      closeps
+   endif
+
+
+   return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Med_S_tongue.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Med_S_tongue.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Med_S_tongue.pro	(revision 2200)
@@ -0,0 +1,44 @@
+pro xxx_Med_S_tongue, S1, S2, SLev, sEXP1, sEXP2, start_end, DEPTH=depth, LAT=lat, POSTSCRIPT = postscript,  _extra = ex
+  
+  compile_opt idl2, strictarrsubs
+
+   @common
+
+
+   if KEYWORD_SET(POSTSCRIPT) then begin
+      openps, '023_Med_S_tongue_'+sEXP1+'_'+strtrim(lat,1)+'_d'+strtrim(depth,1)+'_S_y'+start_end+'.ps'   
+   endif
+;domdef, 0, 6000
+
+;domdef,270,365,5,70
+minval = min(abs(gdept -  depth),index)
+  
+   title = sEXP1+' Mediterranean salt tongue at depth=' + strtrim(gdept[index],1)+' m / year '+start_end
+   plt, S1.arr, MININ=35., MAXIN=37., INTER=0.1,  UNIT= varunit $
+         , small=[1,2,1], boxzoom = [270, 365, 5,70, index,index],/zindex, COAST_THICK=2, TITLE=title,  /PORTRAIT, _extra=ex
+;
+  if sEXP1 ne sEXP2 then begin
+     
+     title = sEXP1+' - '+sEXP2+' Mediterranean salt tongue at depth=' + strtrim(gdept[index],1)+' m / year '+start_end
+     plt, S1.arr - S2.arr, MININ = -.4, MAXIN = .4, INTER = .05,  UNIT = varunit $
+          , small=[1,2,2], boxzoom = [270, 365, 5,70, index,index],/zindex, COAST_THICK=2, TITLE=title,  /PORTRAIT, _extra=ex
+  
+  endif else begin
+     
+     title = sEXP1+' - Levitus Mediterranean salt tongue at depth=' + strtrim(gdept[index],1)+' m / year '+start_end
+     plt, S1.arr - SLev.arr, MININ=-1., MAXIN=1., INTER=0.1,  UNIT = varunit $
+          , small=[1,2,2], boxzoom = [270, 365, 5,70, index,index],/zindex, COAST_THICK=2, TITLE=title,  /PORTRAIT, _extra=ex
+     
+  endelse
+
+  title ='Mediterranean water Lat: '+strtrim(lat,1)+', '+strtrim(depth,1)
+  text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/023_Med_S_tongue_'+sEXP1+'_'+strtrim(lat,1)+'_d'+strtrim(depth,1)+'_S_y'+start_end+'.png  />  ' ]
+  putfile, '/tmp/prova.txt', text
+   
+  if KEYWORD_SET(POSTSCRIPT) then begin
+      closeps
+   endif
+
+
+   return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_PHCXX_PHCYY_ANT_Icethick.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_PHCXX_PHCYY_ANT_Icethick.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_PHCXX_PHCYY_ANT_Icethick.pro	(revision 2200)
@@ -0,0 +1,44 @@
+pro xxx_PHCXX_PHCYY_ANT_Icethick,  I1, I2, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+
+ @common
+
+ compile_opt idl2, strictarrsubs
+ 
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, '0003_'+sEXP1+'_'+sEXP2+'_ANT_IceThick_y'+start_end+'.ps', portrait = 1
+ endif
+ 
+                                ;
+ domdef,20,380,-50,-90
+                                ; 
+ title=sEXP1+' Antartic Ice Thickness / year '+start_end
+
+ I1.arr = I1.arr < 1.
+ plt, I1.arr - 1.E-04, MIN = 0., MAX = 1., INTER = 0.1 , STYLE = 'so0so',CELL_FILL = 2, /STRICTFILL $ 
+      , small = [1,2,1], COAST_THICK = 2, TITLE = title  $
+      , CHARSIZE = 1.05, GLINETHICK = 2., /ORTHO, MAP = [-90,0,0], /PORTRAIT, _extra = ex
+
+ if sEXP1 ne sEXP2 then begin
+    
+    title=sEXP1+' - '+sEXP2+' Antartic Ice Thickness / year '+start_end
+    plt, I1.arr - I2.arr, MIN = -1., MAX = 1., INTER = 0.1, /STRICTFILL , STYLE = 'so0so' $
+         , small = [1,2,2], COAST_THICK = 2, TITLE = title $
+         , CHARSIZE = 1.05, GLINETHICK = 2., /ORTHO, MAP = [-90,0,0], /NOERASE, _extra = ex
+    
+ endif
+ 
+ domdef
+
+ title = 'Antarctic Sea-ice Thickness'
+ text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/0003_'+sEXP1+'_'+sEXP2+'_ANT_IceThick_y'+start_end+'.png  />  ' ]
+ putfile, '/tmp/prova.txt', text
+
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+
+
+ return
+end
+
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_PHCXX_PHCYY_ARC_Icethick.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_PHCXX_PHCYY_ARC_Icethick.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_PHCXX_PHCYY_ARC_Icethick.pro	(revision 2200)
@@ -0,0 +1,41 @@
+pro xxx_PHCXX_PHCYY_ARC_Icethick,  I1, I2, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+  
+ @common
+
+ compile_opt idl2, strictarrsubs
+
+ 
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, '0003_'+sEXP1+'_'+sEXP2+'_ARC_IceThick_y'+start_end+'.ps', portrait = 1
+ endif
+ 
+ domdef,20,380,55,90
+           
+ title=sEXP1+' Arctic Ice Thickness / year '+start_end
+
+ I1.arr = I1.arr < 6.
+ plt, I1.arr - 1.E-04, MIN = 0., MAX = 6., INTER = 0.25 ,/STRICTFILL , CELL_FILL = 2, STYLE = 'so0so'  $
+      , small = [1,2,1], COAST_THICK = 2, TITLE = title $
+      , CHARSIZE = 1.05, GLINETHICK = 2., /ORTHO, MAP = [90,0,0], /PORTRAIT, _extra = ex
+ ;
+ if sEXP1 ne sEXP2 then begin            
+    title = sEXP1+' - '+sEXP2+' Arctic Ice Thickness / year '+start_end
+    plt, I1.arr - I2.arr, MIN = -3., MAX = 3., INTER = .5, /STRICTFILL , STYLE = 'so0so' $
+         , small = [1,2,2], COAST_THICK = 2, TITLE = title $
+         , CHARSIZE = 1.05, GLINETHICK = 2., /ORTHO, MAP = [90,0,0], /NOERASE, _extra = ex
+    
+ endif                          ; end of 2
+ 
+ domdef
+
+ title = 'Arctic Sea-ice Thickness'
+ text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/0003_'+sEXP1+'_'+sEXP2+'_ARC_IceThick_y'+start_end+'.png  />  ' ]
+ putfile, '/tmp/prova.txt', text
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+
+
+ return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Qnet.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Qnet.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_Qnet.pro	(revision 2200)
@@ -0,0 +1,43 @@
+pro xxx_Qnet,  Q1, Q2, QNET, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+  
+ @common
+
+ compile_opt idl2, strictarrsubs
+
+ Q = Q1.arr-Q2.arr
+ sEXP = sEXP1+' - '+sEXP2
+ min =  -200.
+ max = -min
+ inter = 20.
+ 
+ if sEXP2 eq sEXP1 then begin
+    sEXP = sEXP1+' - OAFlux'
+    Q = Q1.arr-QNET.arr
+    min = -200.
+    max = -min
+    inter = 20. 
+ endif
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, '003_Qnet_'+sEXP+'_y'+start_end+'.ps', portrait = 1
+ endif
+ 
+ title=sEXP1+' / Qnet year '+start_end
+ plt,  Q1,  MIN = -200., MAX = 200., INTER = 20., STYLE = 'so0so' $
+       , small = [1,2,1], COAST_THICK = 2, TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
+                                ;
+ title=sEXP+' / Qnet year '+start_end
+ plt, Q, MIN = min, MAX = max, INTER = inter, STYLE = 'so0so'  $
+      , small = [1,2,2], COAST_THICK = 2, TITLE = title, FORMAT = '(I3)', /NOERASE, _extra = ex
+                                ;
+ title = 'Qnet differences with '+sEXP
+ text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/003_Qnet_'+sEXP+'_y'+start_end+'.png  />  ' ]
+ putfile, '/tmp/prova.txt', text
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+
+ return
+end
+
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_SSS.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_SSS.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_SSS.pro	(revision 2200)
@@ -0,0 +1,40 @@
+pro xxx_SSS, S1, S2, SLev, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+  
+ @common
+ compile_opt idl2, strictarrsubs
+ 
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, '007_SSS_'+sEXP1+'-'+sEXP2+'_y'+start_end+'.ps', portrait = 1
+ endif 
+      
+ varunit = S1.unit  
+ 
+ title = sEXP1+' / SSS year '+start_end
+ plt, S1.arr[*,*,0] , MIN = 33., MAX = 41., INTER = .25, STYLE = 'so0so' $
+      , small = [1,2,1], COAST_THICK = 2, TITLE=title, /NOERASE, _extra = ex 
+                                ;
+ if sEXP1 ne sEXP2 then begin
+    
+    title = sEXP1+' - '+sEXP2+' / SSS year '+start_end
+    plt, S1.arr[*,*,0] - S2.arr[*,*,0], MIN = -2., MAX = 2., INTER = .2 $
+         , small = [1,2,2], COAST_THICK = 2, TITLE = title, _extra=ex
+
+ endif else begin
+
+    title = sEXP1+' - Levitus / SSS year '+start_end
+    plt, S1.arr[*,*,0]-SLev.arr[*,*,0], MIN = -3., MAX = 3., INTER = 0.2, STYLE = 'so0so' $
+         , small = [1,2,2], COAST_THICK = 2, TITLE = title, /PORTRAIT, _extra = ex
+
+ endelse
+ 
+                                ;
+   title = 'SSS differences with Levitus and '+sEXP1+'-'+sEXP2
+   text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/007_SSS_'+sEXP1+'-'+sEXP2+'_y'+start_end+'.png  />  ' ]
+   putfile, '/tmp/prova.txt', text
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif 
+
+ return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_SST.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_SST.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_SST.pro	(revision 2200)
@@ -0,0 +1,44 @@
+pro xxx_SST, T1, T2, TRey, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+
+ @common 
+ compile_opt idl2, strictarrsubs
+
+ T = T1.arr[*,*,0]-T2.arr[*,*,0]
+ sEXP = sEXP1+' - '+sEXP2
+ min =  -1.
+ max = -min
+ inter = 0.1
+
+ if sEXP2 eq sEXP1 then begin
+    sEXP = sEXP1
+    T = T1.arr[*,*,0]
+    min = -2.
+    max = 32.
+    inter = 1. 
+ endif
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, '006_SST_'+sEXP+'_y'+start_end+'.ps', portrait = 1
+ endif
+   
+ varunit = T1.unit
+
+                               ; 
+ title = sEXP+' / SST year '+start_end
+ plt, T , MIN = min, MAX = max, INTER = inter ,  STYLE = 'so0so' $
+      , small = [1,2,1], COAST_THICK = 2, TITLE = title, FORMAT = '(I2)', /NOERASE, _extra = ex
+                                ; 
+ title=sEXP1+' - NewReynolds  / SST year '+start_end
+ plt, T1.arr[*,*,0]-TRey.arr[*,*,0], MIN = -8., MAX = 8., INTER = 0.5 , STYLE = 'so0so' $
+      , small = [1,2,2], COAST_THICK = 2, TITLE = title, /PORTRAIT, _extra = ex
+                 
+ title = 'SST differences with Reynolds and  '+sEXP
+ text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/006_SST_'+sEXP+'_y'+start_end+'.png  />  ' ]
+ putfile, '/tmp/prova.txt', text
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+
+ return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_S_z105.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_S_z105.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_S_z105.pro	(revision 2200)
@@ -0,0 +1,44 @@
+pro xxx_S_z105, S1, S2, SLev, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+
+ @common
+ compile_opt idl2, strictarrsubs
+ 
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, '011_S_z105_'+sEXP1+'-'+sEXP2+'_y'+start_end+'.ps', portrait = 1
+ endif
+ 
+;
+ varunit = S1.unit
+;
+
+ title=sEXP1+' S (PSU) depth=105m / Sal year '+start_end
+ plt, S1.arr, MIN = 33., MAX = 38.2, INTER = .2, STYLE = 'so0so' $
+      , small = [1,2,1], COAST_THICK = 2, TITLE = title, boxzoom = [105., 106.], /NOERASE, _extra = ex
+;
+ if sEXP1 ne sEXP2 then begin
+    
+    title = sEXP1+' - '+sEXP2+' S (PSU) depth=105m / Sal year '+start_end
+    plt, S1.arr[*,*,0] - S2.arr[*,*,0], MIN = -1., MAX = 1., INTER = .1 $
+         , small = [1,2,2], COAST_THICK = 2, TITLE = title, _extra=ex
+    
+ endif else begin
+    
+    title=sEXP1+' - Levitus S (PSU) depth=105m / Sal year '+start_end
+    plt, S1.arr-SLev.arr, MIN = -1., MAX = 1., INTER=0.1, STYLE='so0so' $
+         , small = [1,2,2], COAST_THICK = 2, TITLE = title, boxzoom = [105., 106.], /PORTRAIT, _extra = ex                           
+    
+ endelse
+ 
+
+ 
+ title = 'Salinity differences at z=105 m with Levitus and '+sEXP2
+ text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/011_S_z105_'+sEXP1+'-'+sEXP2+'_y'+start_end+'.png  />  ' ]
+ putfile, '/tmp/prova.txt', text ;
+
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+
+ return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_TS_ZGlobm.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_TS_ZGlobm.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_TS_ZGlobm.pro	(revision 2200)
@@ -0,0 +1,36 @@
+pro xxx_TS_ZGlobm, T1, T2, TLev, S1, S2, SLev, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+
+ @common
+ compile_opt idl2, strictarrsubs
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, '025_TS_ZGlobmean_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.ps', /portrait
+ endif
+
+                                ;
+ title=sEXP1+' (Black) & '+sEXP2+' (Red) - Levitus Temp. Global mean / year '+start_end
+ plt1d, T1.arr - TLev.arr, typein = 'z', ticklen = 1 , MIN = -2., MAX = 2., boxzoom = [4.,5300.], /KEEPBOTTOM $
+        , small = [1,2,1], XGRIDSTYLE = 2, YGRIDSTYLE = 2, TITLE = title, _extra = ex
+ plt1d, T2.arr - TLev.arr, typein = 'z',  ticklen = 1 , MIN = -2., MAX = 2., boxzoom = [4.,5300.], /KEEPBOTTOM  $
+        , /ov1d, COLOR = 250,TITLE = title, _extra = ex 
+                                ;
+
+ title=sEXP1+'(Black) & '+sEXP2+' (Red) - Levitus Sal. Global mean / year '+start_end
+ plt1d, S1.arr - SLev.arr, typein = 'z', ticklen = 1 , MIN = -.2, MAX = .2, boxzoom = [4.,5300.], /KEEPBOTTOM $
+        , small = [1,2,2], XGRIDSTYLE = 2, YGRIDSTYLE = 2, TITLE = title, /NOERASE, _extra = ex
+ plt1d, S2.arr - SLev.arr, typein = 'z',  ticklen = 1 , MIN = -2., MAX = 2., boxzoom = [4.,5300.], /KEEPBOTTOM $
+        ,  /ov1d, COLOR = 250, TITLE = title, _extra = ex 
+
+
+ title = 'Temperature & Salinity horizontal mean'
+ text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/025_TS_ZGlobmean_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.png  />  ' ]
+ putfile, '/tmp/prova.txt', text
+
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+
+ return
+end
+
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_T_z105.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_T_z105.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_T_z105.pro	(revision 2200)
@@ -0,0 +1,41 @@
+pro xxx_T_z105,  T1, T2, TLev, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+  
+ @common 
+ compile_opt idl2, strictarrsubs
+
+ 
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, '010_T_z105_'+sEXP1+'-'+sEXP2+'_y'+start_end+'.ps', portrait = 1
+ endif
+;
+ varunit = T1.unit     
+           ;                              
+ title = sEXP1+' T (°C) depth=105m / Temp year '+start_end
+ plt, T1.arr, MIN = -2., MAX = 32., INTER = 1., STYLE = 'so0so'  $
+      , small = [1,2,1], COAST_THICK = 2, TITLE = title, FORMAT = '(I2)', boxzoom = [105., 106.], /NOERASE, _extra = ex
+                                ;
+if sEXP1 ne sEXP2 then begin
+
+  title = sEXP1+' - '+sEXP2+' T (°C) depth=105m / Temp year '+start_end
+  plt, T1.arr-T2.arr, MIN = -2., MAX = 2., INTER = .2 $
+       , small = [1,2,2], COAST_THICK = 2, TITLE = title,  _extra=ex
+
+endif else begin
+
+ title = sEXP1+' - Levitus T (°C) depth=105m / Temp year '+start_end
+ plt, T1.arr-TLev.arr, MIN = -4., MAX = 4., INTER = .5, STYLE = 'so0so'  $
+      , small = [1,2,2], COAST_THICK = 2, TITLE = title, boxzoom = [105., 106.], /PORTRAIT, _extra = ex   
+endelse
+                    
+
+ title = 'Temperature differences at z=105 m with Levitus and '+sEXP1+'-'+sEXP2
+ text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/010_T_z105_'+sEXP1+'-'+sEXP2+'_y'+start_end+'.png  />  ' ]
+ putfile, '/tmp/prova.txt', text ;
+
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+ 
+ return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_ZonMxl.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_ZonMxl.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_ZonMxl.pro	(revision 2200)
@@ -0,0 +1,34 @@
+pro xxx_ZonMxl, MXL1, MXL2, MLD, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+  
+ @common
+
+ compile_opt idl2, strictarrsubs
+
+ 
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, '013_ZonMxl_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.ps', portrait = 1
+ endif
+ 
+
+                                ;
+ title=sEXP1+' (Black) , '+sEXP2+' (Red) & Clim (Blue) Mxl10 / year '+start_end
+ plt1d, -MXL1.arr, MIN = -300., MAX = 0., INTER = 10., typein = 'y' $
+        , small=[1,1,1], boxzoom=5500, ZOOM=500, CHARSIZE=.8, TITLE = title, /PORTRAIT, _extra=ex  ; color by default = black
+                                ;
+ plt1d, -MXL2.arr, MIN = -300., MAX = 0., INTER = 10., typein = 'y' $
+        , /ov1d, COLOR = 250, TITLE = title, /NOERASE, _extra = ex  ; color 250 = red
+                                ;
+ plt1d, -MLD.arr, MIN = -300., MAX = 0., INTER = 10., typein = 'y' $
+        ,  /ov1d, COLOR = 100, THICK = 3, TITLE = title, /NOERASE, _extra = ex ; color 100 = blue
+
+ title = 'Mxl field'
+ text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/013_ZonMxl_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.png  />  ' ]
+ putfile, '/tmp/prova.txt', text
+
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+
+ return
+end
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_mxl10.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_mxl10.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_mxl10.pro	(revision 2200)
@@ -0,0 +1,46 @@
+pro xxx_mxl10, MXL1, MXL2, MLD, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex
+
+ @common
+
+ compile_opt idl2, strictarrsubs
+
+ MXL = MXL1.arr-MXL2.arr
+ sEXP = sEXP1+' - '+sEXP2
+ min =  -100.
+ max = -min
+ inter = 10.
+ 
+ if sEXP2 eq sEXP1 then begin
+    sEXP = sEXP1+' - MLD '
+    MXL = MXL1.arr-MLD.arr
+    min = -80.
+    max = -min
+    inter = 10. 
+ endif
+
+ 
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    openps, '012_Mxl10_'+sEXP+'_y'+start_end+'.ps', portrait = 1
+ endif
+ 
+ title=sEXP1+' Mxl10 / year '+start_end
+ plt, MXL1, MIN = 0., MAX = 500., INTER = 25., /NOCONTOUR ,FORMAT = '(I3)' $
+      , small = [1,2,1], COAST_THICK = 2, TITLE = title, /PORTRAIT, _extra = ex
+ ; 
+
+ title=sEXP+' Mxl10 / year '+start_end
+ plt, MXL, MIN = min, MAX = max, INTER = inter  $
+      , small = [1,2,2], COAST_THICK = 2, TITLE = title, /NOCONTOUR, /NOERASE, _extra = ex
+                                ; end of 2
+ title = 'Mxl10 field'
+ text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/012_Mxl10_'+sEXP+'_y'+start_end+'.png  />  ' ]
+ putfile, '/tmp/prova.txt', text
+
+
+ if KEYWORD_SET(POSTSCRIPT) then begin
+    closeps
+ endif
+
+ return
+end
+
Index: /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_zonal_S.pro
===================================================================
--- /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_zonal_S.pro	(revision 2200)
+++ /branches/DEV_r2106_LOCEAN2010/CONFIG/ORCA2_LIM/IDL_scripts/xxx_zonal_S.pro	(revision 2200)
@@ -0,0 +1,70 @@
+pro xxx_zonal_S, S1, S2, SLev, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, SUBBASIN = subbasin, MASK_FILENAME = mask_filename, _extra = ex
+
+  compile_opt idl2, strictarrsubs
+
+   @common
+
+   if KEYWORD_SET(SUBBASIN) then  subname = subbasin else  subname = "Glo"
+   
+
+   if KEYWORD_SET(POSTSCRIPT) then begin
+      openps, '015_Zonal_S_'+subname+'_'+sEXP1+'-'+sEXP2+'_y'+start_end+'.ps', portrait = 1
+   endif
+
+                                ; looking for longitudinal index corresponding to the highest latitude (closest to the North Pole)
+   index=where(gphit eq max(gphit))
+   nx=index[0] mod jpi
+   gphi_save=gphit
+   gphit[0,*]=gphit[nx,*]
+
+   if KEYWORD_SET(SUBBASIN) then begin
+                                ; save tmask
+      tmasksv = tmask
+                                ; 
+      CASE 1 of 
+         subbasin eq 'Atl' : var = 'atlmsk_nomed'
+         subbasin eq 'Ind' : var = 'indmsk_nored'
+         subbasin eq 'Pac' : var = 'pacmsk'
+      ENDCASE
+                                ;
+      msk = read_ncdf( var, filename = mask_filename, _extra =ex)
+
+; from 2D array to 3D array
+      msk = msk.arr[*]#replicate(1., nzt)
+      tmask[firstxt:lastxt,firstyt:lastyt,firstzt:lastzt] = tmask[firstxt:lastxt,firstyt:lastyt,firstzt:lastzt] * msk
+   endif 
+
+   varunit = S1.unit
+;
+   title=sEXP1+' '+subname+' / S year '+start_end
+   pltz, S1.arr, MININ = 32., MAXIN = 37., INTER = .2, typein = 'yz' $ 
+         , small = [1,2,1], COAST_THICK = 2, TITLE = title, boxzoom = 5500, ZOOM = 1000, /PORTRAIT,  _extra=ex 
+; 
+   if sEXP1 ne sEXP2 then begin
+      
+      title = sEXP1+' - '+sEXP2+' '+subname+' / S year '+start_end
+      pltz, S1.arr-S2.arr, MIN = -1., MAX = 1., INTER = .1, typein = 'yz' $
+           , small = [1,2,2], COAST_THICK = 2, TITLE = title, boxzoom = 5500, ZOOM = 1000, /NOERASE,  _extra=ex
+  
+   endif else begin
+      
+      title=sEXP1+' - Levitus '+subname+'/ S year'+start_end
+      pltz, S1.arr-SLev.arr, MININ = -1, MAXIN = 1., INTER = .1, typein = 'yz'  $
+            , small = [1,2,2], COAST_THICK = 2, TITLE = title, boxzoom = 5500, ZOOM = 1000, /NOERASE, _extra = ex
+   endelse
+;
+   title = 'Salinity differences in zonal average ' + subname +' with Levitus and '+sEXP1+'-'+sEXP2
+   text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/v32colib_v32colib/ps/015_Zonal_S_'+subname+'_'+sEXP1+'-'+sEXP2+'_y'+start_end+'.png  />  ' ]
+   putfile, '/tmp/prova.txt', text
+
+   if KEYWORD_SET(POSTSCRIPT) then begin
+      closeps
+   endif
+
+
+   if KEYWORD_SET(SUBBASIN) then tmask = tmasksv
+
+   gphit=gphi_save
+
+   return
+end
